/**
 * Copyright (c) 2011 ~ 2012 Deepin, Inc.
 *               2011 ~ 2012 jouyouyun
 *
 * Author:      jouyouyun <jouyouwen717@gmail.com>
 * Maintainer:  jouyouyun <jouyouwen717@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 **/

#ifndef __DBUS_NAME_H__
#define __DBUS_NAME_H__

#define RECD_WAV    "/tmp/recd_tmp.wav"
#define RECOG_RET   "/tmp/recog_rets"

/* deepin-speech  */
#define DBUS_SPEECH_NAME    "com.deepin.speech"
#define DBUS_SPEECH_PATH    "/com/deepin/speech"
#define DBUS_SPEECH_INFACE  "com.deepin.speech"

/* deepin-config */
#define DBUS_CONFIG_NAME    "com.deepin.speech_config"
#define DBUS_CONFIG_PATH    "/com/deepin/speech_config"
#define DBUS_CONFIG_INFACE  "com.deepin.speech_config"

/* deepin-pinyin */
#define DBUS_PINYIN_NAME    "com.deepin.zh_pinyin"
#define DBUS_PINYIN_PATH    "/com/deepin/zh_pinyin"
#define DBUS_PINYIN_INFACE  "com.deepin.zh_pinyin"

/* deepin-trie */
#define DBUS_TRIE_NAME  "com.deepin.zh_trie"
#define DBUS_TRIE_PATH  "/com.deepin.zh_trie"
#define DBUS_TRIE_INFACE    "com.deepin.zh_trie"

/* deepin-wnck */
#define DBUS_WNCK_NAME  "com.deepin.x11_wnck"
#define DBUS_WNCK_PATH  "/com/deepin/x11_wnck"
#define DBUS_WNCK_INFACE    "com.deepin.x11_wnck"

#endif
