/**
 * Copyright (c) 2011 ~ 2012 Deepin, Inc.
 *               2011 ~ 2012 jouyouyun
 *
 * Author:      jouyouyun <jouyouwen717@gmail.com>
 * Maintainer:  jouyouyun <jouyouwen717@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 **/

#ifndef __DBUS_WNCK_H__
#define __DBUS_WNCK_H__

#include "dbus_common.h"

#define DBUS_WNCK_NAME	"com.deepin.x11_wnck"
#define DBUS_WNCK_PATH	"/com/deepin/x11_wnck"
#define DBUS_WNCK_INFACE	"com.deepin.x11_wnck"

void wnck_inface();
unsigned long get_cur_xid();
void active_win_via_pid(unsigned long pid);
unsigned long get_pid_via_name( const char *process_name );
gchar *get_window_class (unsigned long xid);
void finalize_dbus_loop();

#endif
